## MR05/XX Introduction to hardware components of servers and clients

* **Note:** In this module we will focus on hardware and the exposure to Raspberry Pi's as an alternative target platform
* **Id:** resources.hardware
* **Effort:** 2.5

### Group deployment of RPI clients and headless servers

* **Id:** resources.hardware.theory.deployment
* **Effort:** 1.0

### Introduction to Raspberry Pi (ARM vs x86)

* **Id:** resources.hardware.theory.rpi
* **Effort:** 1.0

## MR04/R71 Introduction to linux

* **Note:** Introduction to the history and usage of Linux as an OS with both graphical and shell interfaces.
* **Id:** resources.linux
* **Effort:** 5.0

### Very brief introdution to bandit and SSH

* **Note:** bandit
* **Id:** resources.linux.theory.bandit
* **Effort:** 0.5

### Introduction to the shell

* **Note:** Based on Ryan's tutorials
* **Id:** resources.linux.theory.cli
* **Effort:** 1.0

### Quick dive into a GUI installation

* **Id:** resources.linux.theory.gui
* **Effort:** 0.5

### History of unix/linux and Debian

* **Id:** resources.linux.theory.intro
* **Effort:** 0.5

### Introduction to vim

* **Note:** complete vimtutor and create a custom vimrc
* **Id:** resources.linux.theory.vimtutor
* **Effort:** 0.5

### MR03/R61 Introduction to centralized administration of networking services

* **Id:** resources.networking.services
* **Effort:** 7.5

### Debian implementations of essential services

* **Note:** Focus on DHCP, DNS, SFTP, SSH, CUPS, LDAP following chapter 10 and chapter 11 of the Debian system administrator handbook
* **Id:** resources.networking.services.theory.debian
* **Effort:** 2.5

